BackupInstancesOperations Class

BackupInstancesOperations operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
BackupInstancesOperations

Constructor

BackupInstancesOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

begin_adhoc_backup

Trigger adhoc backup.

begin_create_or_update

Create or update a backup instance in a backup vault.

begin_delete

Delete a backup instance in a backup vault.

begin_trigger_rehydrate

rehydrate recovery point for restore for a BackupInstance.

begin_trigger_restore

Triggers restore for a BackupInstance.

begin_validate_for_backup

Validate whether adhoc backup will be successful or not.

begin_validate_for_restore

Validates if Restore can be triggered for a DataSource.

get

Gets a backup instance with name in a backup vault.

list

Gets a backup instances belonging to a backup vault.

begin_adhoc_backup

Trigger adhoc backup.

begin_adhoc_backup(vault_name: str, resource_group_name: str, backup_instance_name: str, parameters: _models.TriggerBackupRequest, **kwargs: Any) -> LROPoller[_models.OperationJobExtendedInfo]

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

backup_instance_name
str
Required

The name of the backup instance.

parameters
TriggerBackupRequest
Required

Request body for operation.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either OperationJobExtendedInfo or the result of cls(response)

Return type

Exceptions

begin_create_or_update

Create or update a backup instance in a backup vault.

begin_create_or_update(vault_name: str, resource_group_name: str, backup_instance_name: str, parameters: _models.BackupInstanceResource, **kwargs: Any) -> LROPoller[_models.BackupInstanceResource]

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

backup_instance_name
str
Required

The name of the backup instance.

parameters
BackupInstanceResource
Required

Request body for operation.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either BackupInstanceResource or the result of cls(response)

Return type

Exceptions

begin_delete

Delete a backup instance in a backup vault.

begin_delete(vault_name: str, resource_group_name: str, backup_instance_name: str, **kwargs: Any) -> LROPoller[None]

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

backup_instance_name
str
Required

The name of the backup instance.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either None or the result of cls(response)

Return type

Exceptions

begin_trigger_rehydrate

rehydrate recovery point for restore for a BackupInstance.

begin_trigger_rehydrate(resource_group_name: str, vault_name: str, backup_instance_name: str, parameters: _models.AzureBackupRehydrationRequest, **kwargs: Any) -> LROPoller[None]

Parameters

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

vault_name
str
Required

The name of the backup vault.

backup_instance_name
str
Required
parameters
AzureBackupRehydrationRequest
Required

Request body for operation.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either None or the result of cls(response)

Return type

Exceptions

begin_trigger_restore

Triggers restore for a BackupInstance.

begin_trigger_restore(vault_name: str, resource_group_name: str, backup_instance_name: str, parameters: _models.AzureBackupRestoreRequest, **kwargs: Any) -> LROPoller[_models.OperationJobExtendedInfo]

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

backup_instance_name
str
Required

The name of the backup instance.

parameters
AzureBackupRestoreRequest
Required

Request body for operation.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either OperationJobExtendedInfo or the result of cls(response)

Return type

Exceptions

begin_validate_for_backup

Validate whether adhoc backup will be successful or not.

begin_validate_for_backup(vault_name: str, resource_group_name: str, parameters: _models.ValidateForBackupRequest, **kwargs: Any) -> LROPoller[_models.OperationJobExtendedInfo]

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

parameters
ValidateForBackupRequest
Required

Request body for operation.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either OperationJobExtendedInfo or the result of cls(response)

Return type

Exceptions

begin_validate_for_restore

Validates if Restore can be triggered for a DataSource.

begin_validate_for_restore(vault_name: str, resource_group_name: str, backup_instance_name: str, parameters: _models.ValidateRestoreRequestObject, **kwargs: Any) -> LROPoller[_models.OperationJobExtendedInfo]

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

backup_instance_name
str
Required

The name of the backup instance.

parameters
ValidateRestoreRequestObject
Required

Request body for operation.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either OperationJobExtendedInfo or the result of cls(response)

Return type

Exceptions

get

Gets a backup instance with name in a backup vault.

get(vault_name: str, resource_group_name: str, backup_instance_name: str, **kwargs: Any) -> _models.BackupInstanceResource

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

backup_instance_name
str
Required

The name of the backup instance.

cls
callable

A custom type or function that will be passed the direct response

Returns

BackupInstanceResource, or the result of cls(response)

Return type

Exceptions

list

Gets a backup instances belonging to a backup vault.

list(vault_name: str, resource_group_name: str, **kwargs: Any) -> Iterable[_models.BackupInstanceResourceList]

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either BackupInstanceResourceList or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.dataprotection.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\dataprotection\\models\\__init__.py'>